Skip to main content
POST

Authorizations

Authorization
string
header
required

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Body

application/json
supplierId
string
required

UUID of an existing supplier of your company.

Minimum string length: 1
orderNumber
string
required

Your order number, unique per company.

Minimum string length: 1
orderType
enum<string>
required

purchase (inbound from a supplier) or sale (outbound to a customer).

Available options:
purchase,
sale
lines
object[]
required

The order lines (at least one).

Minimum array length: 1
orderDate
string

ISO 8601 date string

deliveryDate
string

Optional ISO 8601 delivery date. Often unknown at order time.

Response

Order created successfully (single)

order
object
required